﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;
using System.Collections.ObjectModel;

namespace Test360743
{
    public class MyViewModel : ViewModelBase
    {
        public ObservableCollection<Info> Data { get; set; }

        public MyViewModel()
        {
            this.Data = this.GenerateData();
        }

        private ObservableCollection<Info> GenerateData()
        {
            var result = new ObservableCollection<Info>();

            result.Add(new Info() { ProvinceId = 1, GlobalizedDescription = "Item 1" });
            result.Add(new Info() { ProvinceId = 2, GlobalizedDescription = "Item 2" });
            result.Add(new Info() { ProvinceId = 3, GlobalizedDescription = "Item 3" });

            return result;
        }
    }

    public class Info
    {
        public int ProvinceId { get; set; }
        public string GlobalizedDescription { get; set; }
    }
}
